# WeakMap::offsetGet

(PECL weakref >= 0.2.0)

WeakMap::offsetGet — Returns the value pointed to by a certain object

### Description

public WeakMap::offsetGet ( object `$object` ) : mixed

Returns the value pointed to by a certain object.

### Parameters

`object`

  Some object contained as key in the map.

### Return Values

Returns the value associated to the object passed as argument, `NULL` otherwise.